.base: &base
  roles: app
  port: 22
  composer_options: '--prefer-dist --no-progress --no-interaction --optimize-autoloader --no-scripts'
  export_node_path: false
  keep_releases: 3
  writable_use_sudo: true
  forwardAgent: true
  multiplexing: true
  sshOptions:
    ServerAliveInterval: 30
    UserKnownHostsFile: /dev/null
    StrictHostKeyChecking: no
  remote_user: baromes-adeliom
  http_user: baromes-adeliom
  bin/npm: source ~/.bashrc && npm --scripts-prepend-node-path=true
  bin/php: /usr/local/php8.4/bin/php -d memory_limit=-1
  hostname: ssh.cluster100.hosting.ovh.net

hosts:
  production:
    <<: *base
    deploy_path: /home/baromes-adeliom/accelerons/production
    stage: production
    branch: main

  staging:
    <<: *base
    deploy_path: /home/baromes-adeliom/accelerons/staging
    stage: staging
    branch: main